#
# spec file for package perl-Debug-Client (Version 0.34)
#
# Copyright (c) 125 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define cpan_name Debug-Client
Name:           perl-Debug-Client
Version:        0.34
Release:        0%{?autorelease}
License:   Artistic-1.0 or GPL-1.0-or-later
Summary:        Debugger client side code for Padre, The Perl IDE
Url:            https://metacpan.org/release/%{cpan_name}
Source0:         https://cpan.metacpan.org/authors/id/S/SZ/SZABGAB/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-macros-suse
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter) >= 5.70
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:  perl(File::HomeDir) >= 1
BuildRequires:  perl(File::Temp) >= 0.2304
BuildRequires:  perl(IO::Socket::IP) >= 0.29
BuildRequires:  perl(List::Util) >= 1.38
BuildRequires:  perl(PadWalker) >= 1.98
BuildRequires:  perl(Term::ReadLine) >= 1.14
BuildRequires:  perl(Term::ReadLine::Gnu) >= 1.24
BuildRequires:  perl(Test::CheckDeps) >= 0.01
BuildRequires:  perl(Test::Class) >= 0.42
BuildRequires:  perl(Test::Deep) >= 0.112
BuildRequires:  perl(Test::More) >= 1.001003
BuildRequires:  perl(Test::Requires) >= 0.07
BuildRequires:  perl(constant) >= 1.27
BuildRequires:  perl(parent) >= 0.228
BuildRequires:  perl(version) >= 0.9908
BuildRequires:  make
BuildRequires:  perl(FindBin)
Requires:       perl(Carp)
Requires:       perl(Exporter) >= 5.70
Requires:       perl(IO::Socket::IP) >= 0.29
Requires:       perl(PadWalker) >= 1.98
Requires:       perl(Term::ReadLine) >= 1.14
Requires:       perl(Term::ReadLine::Gnu) >= 1.24
Requires:       perl(constant) >= 1.27
Recommends:     perl(ExtUtils::MakeMaker) >= 6.66
Recommends:     perl(File::Spec::Functions) >= 3.4
Recommends:     perl(List::Util) >= 1.27
Recommends:     perl(Test::Pod) >= 1.48
Recommends:     perl(Test::Pod::Coverage) >= 1.08
%{?perl_requires}

%description
This is a DEVELOPMENT Release only, you have been warned!

The primary use of this module is to provide debugger functionality for
Padre 0.98 and beyond,

This module has been tested against Perl 5.18.0

%prep
%autosetup  -n %{cpan_name}-%{version} -p1


%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check


%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist




%files -f %{name}.files
%doc Changes README.md


%changelog
